/*------------------------------------------------------------------------------
 src/bin/djvlut/prefsDialog.h

 Copyright (c) 2004-2006 Darby Johnston.
 All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#ifndef DJVLUT_PREFS_DIALOG_H
#define DJVLUT_PREFS_DIALOG_H
#include "base.h"
#include <djDialog.h>

namespace dj {
class CheckButtonWidget;
class TabWidget;
};

namespace djvlut {

// Preferences dialog.
//
class PrefsDialog : public DialogBase {
public:
  
  PrefsDialog();

  void widgetUpdate();

private:

  DJ_CALLBACK(PrefsDialog, miscSaveWindowGeomCallback, bool)
  DJ_CALLBACK(PrefsDialog, miscTooltipsCallback, bool)
  DJ_CALLBACK(PrefsDialog, closeCallback, bool)

  CheckButtonWidget * _miscSaveWindowGeomWidget;
  CheckButtonWidget * _miscTooltipsWidget;
  TabWidget * _imageLoadWidget, * _imageSaveWidget;
};

}

#endif
